# $Id: Movie.pm 3583 2010-01-04 09:31:25Z chris $

package WebService::MoviePosterDB::Movie;

use strict;
use warnings;

our $VERSION = '0.02';

use base qw(Class::Accessor);

__PACKAGE__->mk_accessors(qw(
    imdb
    title
    year
    page
    posters
));

use WebService::MoviePosterDB::Poster;

sub _new {
    my $class = shift;
    my $json = shift;
    my $self = {};

    if (defined $json->{'errors'}) { die join("; ", @{$json->{'errors'}}); }

    bless $self, $class;

    # Fudged for the response from json.inc.php
    $self->imdb($json->{'imdb'});
    $self->title($json->{'title'});
    $self->year($json->{'year'});
    $self->page($json->{'page'});
    
    $self->posters([WebService::MoviePosterDB::Poster->_new($json->{'imageurl'})]);

    return $self;
}

1;
